Bug 97517 - up2date --showdeps and --whatprovides does not properly resolve dependencies
Summary: up2date --showdeps and --whatprovides does not properly resolve dependencies
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-17 00:50 UTC by Scott Schmit
Modified: 2007-04-18 16:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 23:44:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Schmit 2003-06-17 00:50:19 UTC
Description of problem:
Say that dhcp, bind, and bind-devel are not installed.
if you do:

# up2date --whatprovides=bind-devel,dhcp
here, up2date returns dhcp

# up2date --whatprovides=bind,dhcp
here, up2date returns bind

# up2date --dry-run --solvedeps=bind-devel,dhcp
here, up2date only returns dhcp

# up2date --dry-run --solvedeps=bind,dhcp
here, up2date only returns bind

# up2date --dry-run bind-devel dhcp
here, up2date says it would install bind, bind-devel, and dhcp (correct)

Version-Release number of selected component (if applicable):
up2date-3.0.7-1

How reproducible:
Always

Steps to Reproduce:
See above

Actual Results:  See above

Expected Results:  When asked for bind-devel and dhcp, it should always give
back bind, bind-devel, and dhcp.
When asked for bind and dhcp, it should always give back bind and dhcp.

Comment 1 Adrian Likins 2003-07-09 21:12:35 UTC
should be fixed in 3.1.41 or later versions. 

Comment 2 Todd Warner 2004-08-26 23:44:18 UTC
Over a year old. It has not reared it's head again. Closing.


Note You need to log in before you can comment on or make changes to this bug.